Issue 91912 - Crash when setting paragraph language to "None" via Status bar control
Summary: Crash when setting paragraph language to "None" via Status bar control
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: DEV300m26
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: stefan.baltzer
QA Contact: issues@sw
URL:
Keywords: regression
Depends on:
Blocks: 88888
  Show dependency tree
 
Reported: 2008-07-21 12:01 UTC by stefan.baltzer
Modified: 2013-08-07 14:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description stefan.baltzer 2008-07-21 12:01:00 UTC
SBA->TL: As seen, to reproduce:
New Writer doc
Insert dummy text
Save and reload file
Select part of para, set language to another one
Select within this around the different set languages
via Status bar control, set language for paragraph...
Select "None"
-> Crash
Comment 1 thomas.lange 2008-07-21 12:53:37 UTC
.
Comment 2 thomas.lange 2008-07-21 12:55:11 UTC
Fixed in CWS late30bf02.

Files changed:
- sw/source/ui/shells/langhelper.cxx
Comment 3 thomas.lange 2008-07-21 12:56:15 UTC
TL->SBA: Fixes the crash problems and setting language 'None' works again as well.
Comment 4 stefan.baltzer 2008-07-21 13:31:19 UTC
Set keyword "regression". Set link to OOo 3.0 show stopper issue.
Comment 5 thomas.lange 2008-07-22 08:39:22 UTC
.
Comment 6 michael.ruess 2008-07-24 09:00:01 UTC
Verified fix in CWS late30bf02.
Comment 7 stefan.baltzer 2008-08-01 18:06:50 UTC
OK in OOO300_m0. Closed.